Subject: Re: [PATCH v3 03/16] index-helper: new daemon for caching index and related stuff

From: David Turner <[email-masked]>
Date: Tue, 12 Apr 2016 20:32:04 -0400

On Tue, 2016-04-12 at 11:05 -0700, Junio C Hamano wrote:
> > >  - access is slow (unless cached, but we can't be sure)
> > 
> > We could solve this (and the other problem) with mlock.
> 
> Probably you meant madvise(2)?
> 
> For something of a size comparable to the index file held by
> index-helper-daemon in-core, I'd expect we wouldn't page too
> badly.

No, I meant mlock -- but I guess that's not portable.  madvise with
MADV_WILLNEED will probably do the job.